Subject: Re: infinite loop in rm -fr (revisited)
From: Joe Buehler <[email-masked]>
To: [email-masked]
Date: Tue, 02 Jul 2002 15:39:47 -0400
Newsgroups: gmane.os.cygwin

Chris January wrote:

>>#!/bin/bash
>>trap "cd /; rm-orig -fr /tmp/xxx.dir" 0
>>mkdir /tmp/xxx.dir
>>exec >/tmp/xxx.dir/info

> I tried to look into this and typed:
> strace bash -c ./loop
> which prompty resulted in bash segfaulting. :(((

Not that it has anything to do with your segfault,
probably, but be aware of the typo in my script above:
It should be "rm -fr", not "rm-orig -fr".  That was something
related to my debugging.

I know for sure that Windows NT does not like deleting files
that are open, so I would guess that there is a basic difference
here with UNIX.  It would be nice to find a workaround.

Joe Buehler

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/